This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 146905 - Keyboard bindings not honored in URL and form fields
Keyboard bindings not honored in URL and form fields
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 12:28 EST by Davide Bolcioni
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 12:11:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Davide Bolcioni 2005-02-02 12:28:37 EST
Description of problem: 
While using mozilla, clicking in the URL bar and typing Ctrl-U would
clear the URL bar. Likewise for a form field. While using firefox, it
always operates as "View Source".

Version-Release number of selected component (if applicable):
firefox-1.0-2.fc3

How reproducible:
Always

Steps to Reproduce:
1. Start firefox
2. Click in the URL bar
3. Type Ctrl-U.
  
Actual results:
Like "View Source"

Expected results:
The URL bar should be cleared.

Additional info:
According to what I have been able to gather, Firefox is supposed to
honor the GTK settings and specifically the following GConf key

  /desktop/gnome/interface/gtk_key_theme

which could be set to "Emacs" for Emacs behavior or "Default" for
ordinary behavior. I found it already set at "Default", but the
behavior is not what I expect and Firefox seems to ignore this setting.
Comment 1 Matthew Miller 2006-07-10 18:07:39 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Davide Bolcioni 2007-01-21 18:11:25 EST
Tried this Fedora Core 6, same behavior. I found a workaround here

  http://tzone.org/~vandry/howto/obtain_usable_firefox.html

so apparently the problem should be with GTK applications.
Comment 3 Davide Bolcioni 2007-01-24 11:38:28 EST
Should this bug be reopened against a different component ? The workaround 
apparently involves GTK.
Comment 4 Christopher Aillon 2007-01-29 12:11:03 EST
Actually, the behavior is by design and "expected".  Most people don't like
those keybindings (or so Mozilla says) but they will let you use them if you
stick that bit in your .gtkrc which is the real way to do so.

Closing as NOTABUG.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.